Ogre::OSXPBuffer Class Reference

`#include <OgreOSXRenderTexture.h>`

Inheritance diagram for Ogre::OSXPBuffer:
[legend]

List of all members.

## Public Member Functions

| OSXPBuffer (PixelComponentType format, size_t width, size_t height)
| ~OSXPBuffer ()
virtual GLContext * | getContext ()
| Get the GL context that needs to be active to render to this PBuffer.
PixelComponentType | getFormat ()
size_t | getWidth ()
size_t | getHeight ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Static Public Member Functions

static PixelComponentType | getPixelComponentType (PixelFormat fmt)
| Get PBuffer component format for an OGRE pixel format.

## Protected Member Functions

void | createPBuffer ()
void | destroyPBuffer ()

## Protected Attributes

PixelComponentType | mFormat
size_t | mWidth
size_t | mHeight

## Private Attributes

AGLPbuffer | mPBuffer
AGLContext | mAGLContext
OSXCarbonContext * | mContext

## Detailed Description

Definition at line 38 of file OgreOSXRenderTexture.h.

## Constructor & Destructor Documentation

Ogre::OSXPBuffer::OSXPBuffer | ( | PixelComponentType | format,
|  | size_t | width,
|  | size_t | height
| ) |  |

Ogre::OSXPBuffer::~OSXPBuffer | ( |  | ) |

## Member Function Documentation

void Ogre::OSXPBuffer::createPBuffer | ( |  | ) | `[protected]`

void Ogre::OSXPBuffer::destroyPBuffer | ( |  | ) | `[protected]`

virtual GLContext* Ogre::OSXPBuffer::getContext | ( |  | ) | `[virtual]`

Get the GL context that needs to be active to render to this PBuffer.

Implements Ogre::GLPBuffer.

PixelComponentType Ogre::GLPBuffer::getFormat | ( |  | ) | `[inherited]`

Definition at line 48 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::getHeight | ( | void |  | ) | `[inherited]`

Definition at line 50 of file OgreGLPBuffer.h.

static PixelComponentType Ogre::GLPBuffer::getPixelComponentType | ( | PixelFormat | fmt | ) | `[static, inherited]`

Get PBuffer component format for an OGRE pixel format.

size_t Ogre::GLPBuffer::getWidth | ( | void |  | ) | `[inherited]`

Definition at line 49 of file OgreGLPBuffer.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

AGLContext Ogre::OSXPBuffer::mAGLContext`[private]`

Definition at line 52 of file OgreOSXRenderTexture.h.

OSXCarbonContext* Ogre::OSXPBuffer::mContext`[private]`

Definition at line 53 of file OgreOSXRenderTexture.h.

PixelComponentType Ogre::GLPBuffer::mFormat`[protected, inherited]`

Definition at line 56 of file OgreGLPBuffer.h.

size_t Ogre::GLPBuffer::mHeight`[protected, inherited]`

Definition at line 57 of file OgreGLPBuffer.h.

AGLPbuffer Ogre::OSXPBuffer::mPBuffer`[private]`

Definition at line 51 of file OgreOSXRenderTexture.h.

size_t Ogre::GLPBuffer::mWidth`[protected, inherited]`

Definition at line 57 of file OgreGLPBuffer.h.

The documentation for this class was generated from the following file:

- OgreOSXRenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:54